import * as _googlemaps_js_api_loader from '@googlemaps/js-api-loader';
import { LoaderOptions } from '@googlemaps/js-api-loader';
import { ReactNode, JSX, MutableRefObject, HTMLAttributes } from 'react';
import { IWebGLOverlayView } from './google.js';
import 'three';
import './event-eVGLSgY3.js';

declare function GoogleApiProvider({ options, children, }: {
    options: LoaderOptions;
    children?: ReactNode;
}): JSX.Element;

declare function GoogleMaps({ divRef, options, children, ...props }: {
    divRef?: MutableRefObject<HTMLDivElement>;
    options?: google.maps.MapOptions;
} & HTMLAttributes<HTMLDivElement>): JSX.Element;

declare function WebGLOverlayView({ anchor, children, }: {
    anchor: google.maps.LatLngLiteral;
    children?: ReactNode;
}): JSX.Element;

declare function useGapiLoader(): _googlemaps_js_api_loader.Loader | null;

declare function useMap(): google.maps.Map | null;

declare function useWebGLOverlayView(): IWebGLOverlayView | null;

export { GoogleApiProvider, GoogleMaps, WebGLOverlayView, useGapiLoader, useMap, useWebGLOverlayView };
